tigase.util

## Class JDBCAbstract

- java.lang.Object
- - tigase.util.JDBCAbstract

- Deprecated.

      @Deprecated
      public abstract class JDBCAbstract
      extends Object

  The class has been deprecated in favor of `DataRepository` class. Please update your code accordingly. Created: Mon Mar 3 10:43:44 2008
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DERBY_CONNVALID_QUERY` Deprecated. Field description
    `static String` | `JDBC_CONNVALID_QUERY` Deprecated. Field description
    `static String` | `SP_STARTS_WITH` Deprecated. Field description

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JDBCAbstract()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `checkConnection()` Deprecated. `checkConnection` method checks database connection before any query.
    `String` | `getResourceUri()` Deprecated. `getResourceUri` method returns database connection string.
    `protected void` | `initPreparedStatements()` Deprecated. `initPreparedStatements` method initializes internal database connection variables such as prepared statements.
    `abstract void` | `initRepository(String conn_str, Map<String,String> params)` Deprecated. `initRepository` method is doing lazy initialization with database.
    `CallableStatement` | `prepareCallable(String query)` Deprecated. Method description
    `PreparedStatement` | `prepareQuery(String query)` Deprecated. Method description
    `PreparedStatement` | `prepareStatement(String query)` Deprecated. Method description
    `protected void` | `release(Statement stmt, ResultSet rs)` Deprecated.
    `void` | `setResourceUri(String uri)` Deprecated. Method description

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SP_STARTS_WITH

          public static final String SP_STARTS_WITH

      Deprecated.
      Field description
      See Also:
        Constant Field Values

    - #### DERBY_CONNVALID_QUERY

          public static final String DERBY_CONNVALID_QUERY

      Deprecated.
      Field description
      See Also:
        Constant Field Values

    - #### JDBC_CONNVALID_QUERY

          public static final String JDBC_CONNVALID_QUERY

      Deprecated.
      Field description
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JDBCAbstract

          public JDBCAbstract()

      Deprecated.

  - ### Method Detail

    - #### initRepository

          public abstract void initRepository(String conn_str,
                                              Map<String,String> params)
                                       throws SQLException

      Deprecated.
      `initRepository` method is doing lazy initialization with database. Connection to database will be established during the first authentication request.
      Parameters:
        `conn_str` - a `String` value of database connection string. The string must also contain database user name and password if required for connection.
        `params` -
      Throws:
        `SQLException` - if an error occurs during access database. It won't happen however as in this method we do simple variable assigment.

    - #### getResourceUri

          public String getResourceUri()

      Deprecated.
      `getResourceUri` method returns database connection string.
      Returns:
        a `String` value of database connection string.

    - #### prepareCallable

          public CallableStatement prepareCallable(String query)
                                            throws SQLException

      Deprecated.
      Method description
      Parameters:
        `query` -
      Returns:
      Throws:
        `SQLException`

    - #### prepareQuery

          public PreparedStatement prepareQuery(String query)
                                         throws SQLException

      Deprecated.
      Method description
      Parameters:
        `query` -
      Returns:
      Throws:
        `SQLException`

    - #### prepareStatement

          public PreparedStatement prepareStatement(String query)
                                             throws SQLException

      Deprecated.
      Method description
      Parameters:
        `query` -
      Returns:
      Throws:
        `SQLException`

    - #### setResourceUri

          public void setResourceUri(String uri)

      Deprecated.
      Method description
      Parameters:
        `uri` -

    - #### checkConnection

          protected boolean checkConnection()
                                     throws SQLException

      Deprecated.
      `checkConnection` method checks database connection before any query. For some database servers (or JDBC drivers) it happens the connection is dropped if not in use for a long time or after certain timeout passes. This method allows us to detect the problem and reinitialize database connection.
      Returns:
        a `boolean` value if the database connection is working.
      Throws:
        `SQLException` - if an error occurs on database query.

    - #### initPreparedStatements

          protected void initPreparedStatements()
                                         throws SQLException

      Deprecated.
      `initPreparedStatements` method initializes internal database connection variables such as prepared statements.
      Throws:
        `SQLException` - if an error occurs on database query.

    - #### release

          protected void release(Statement stmt,
                                 ResultSet rs)

      Deprecated.

Copyright © 2017 "Tigase, Inc.". All rights reserved.